Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class CommandlineJava

    java.lang.Object
      |
      +--org.apache.tools.ant.types.CommandlineJava

All Implemented Interfaces:
  java.lang.Cloneable

public class CommandlineJava
extends java.lang.Object
implements java.lang.Cloneable

Inner Class Summary
`static class` | `CommandlineJava.SysProperties` Specialized Environment class for System properties

Constructor Summary
`CommandlineJava()`

Method Summary
`void` | `addSysproperty(Environment.Variable sysp)`
`void` | `clearJavaArgs()` Clear out the java arguments.
`java.lang.Object` | `clone()`
`Commandline.Argument` | `createArgument()`
`Path` | `createClasspath(Project p)`
`Commandline.Argument` | `createVmArgument()`
`java.lang.String` | `getClassname()`
`Path` | `getClasspath()`
`java.lang.String[]` | `getCommandline()`
`Commandline` | `getJavaCommand()`
`CommandlineJava.SysProperties` | `getSystemProperties()`
`Commandline` | `getVmCommand()`
`java.lang.String` | `getVmversion()`
`void` | `restoreSystemProperties()`
`void` | `setClassname(java.lang.String classname)`
`void` | `setSystemProperties()`
`void` | `setVm(java.lang.String vm)`
`void` | `setVmversion(java.lang.String value)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandlineJava

    public CommandlineJava()

Method Detail

### createArgument

    public Commandline.Argument createArgument()

### createVmArgument

    public Commandline.Argument createVmArgument()

### addSysproperty

    public void addSysproperty(Environment.Variable sysp)

### setVm

    public void setVm(java.lang.String vm)

### setVmversion

    public void setVmversion(java.lang.String value)

### setClassname

    public void setClassname(java.lang.String classname)

### getClassname

    public java.lang.String getClassname()

### createClasspath

    public Path createClasspath(Project p)

### getVmversion

    public java.lang.String getVmversion()

### getCommandline

    public java.lang.String[] getCommandline()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### size

    public int size()

### getJavaCommand

    public Commandline getJavaCommand()

### getVmCommand

    public Commandline getVmCommand()

### getClasspath

    public Path getClasspath()

### setSystemProperties

    public void setSystemProperties()
                             throws BuildException

### restoreSystemProperties

    public void restoreSystemProperties()
                                 throws BuildException

### getSystemProperties

    public CommandlineJava.SysProperties getSystemProperties()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### clearJavaArgs

    public void clearJavaArgs()

  Clear out the java arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.